'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (error) {
  var err = {
    name: "",
    errors: []
  };

  switch (error.name) {
    case 'ValidationError':
      err.name = error.name;

      for (var key in error.errors) {
        // skip loop if the property is from prototype
        if (!error.errors.hasOwnProperty(key)) continue;

        var obj = error.errors[key];

        err.errors.push({ path: obj['path'], message: obj['message'] });
      }
      break;
    default:
      err = {
        name: "UnknownError",
        body: error
      };
      break;
  }
  return err;
};